curl --request GET \
--url https://api.attio.com/v2/objects/{object}/records/{record_id}/entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/objects/{object}/records/{record_id}/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/objects/{object}/records/{record_id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0",
"list_api_slug": "enterprise_sales",
"entry_id": "2e6e29ea-c4e0-4f44-842d-78a891f8c156",
"created_at": "2022-11-21T13:22:49.061281000Z"
}
]
}List record entries
List all entries, across all lists, for which this record is the parent. The response includes metadata for each entry, including entry_id, list_id, and created_at, but does not include entry values. To retrieve the values, call Get a list entry separately for each entry.
Required scopes: record_permission:read, object_configuration:read, list_entry:read.
Supported token levels: workspace, user.
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
A UUID or slug identifying the object that the record belongs to.
"people"
A UUID identifying the record.
"891dcbfc-9141-415d-9b2a-2238a6cc012d"
Query Parameters
The maximum number of results to return. The default is 100 and the maximum is 1000. See the full guide to pagination here.
10
The number of results to skip over before returning. The default is 0. See the full guide to pagination here.
5
Response
Success
Success
Show child attributes
Show child attributes
Was this page helpful?